import greenfoot.*;

public class MyWorld extends World
{
    String tune = "g.c.cdcba.a.a.d.dedcb.g.g.e.efedc.a.gga.d.b.c..."; // tone seq
    String verse = "0.1.234.5...0.1.234.5...0.1.234.5...637...8.9..."; // word seq
    int time; // timer
    
    public MyWorld()
    {
        super(600, 600, 1);
        // background color fill (sky blue)
        GreenfootImage bg = getBackground();
        GreenfootImage img = new GreenfootImage(600, 600);
        img.setColor(new Color(0, 0, 255, 96));
        img.fill();
        bg.drawImage(img, 0, 0);
    }
    
    public void act()
    {
        if (time % 20 == 0) // if on half-beat
        {
            int n = time/20; // position in sequences
            char c = tune.charAt(n); // tone (or not)
            if (c != '.') // if not no tone (if tone)
            { // add balloon for tone and possible word
                addObject(new Balloon("gabcdef".indexOf(c)+5, "0123456789".indexOf(verse.charAt(n))), 50*(n%12)+25, 599);
            }
        }
        time = (time+1)%(20*tune.length()); // time progresses
    }
}